Skip to main content
`Ctrl`+`K`

# ISDuplicate

Creates a duplicate copy of an index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISDuplicate(IS is, IS *newIS)

Collective

## Input Parameter

- is - the index set

## Output Parameter

- newIS - the copy of the index set

## See Also

`IS`, `ISCreateGeneral()`, `ISCopy()`

## Level

beginner

## Location

src/vec/is/is/interface/index.c

## Examples

src/ksp/ksp/tutorials/ex81.c
src/dm/impls/plex/tutorials/ex10.c
src/dm/tutorials/ex22.c

## Implementations

ISDuplicate_Block() in src/vec/is/is/impls/block/block.c
ISDuplicate_General() in src/vec/is/is/impls/general/general.c
ISDuplicate_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages